Bug 22035 - Improve local cover image browser page
Summary: Improve local cover image browser page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22032
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-20 19:54 UTC by Owen Leonard
Modified: 2019-04-26 15:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22035: Improve local cover image browser page (12.25 KB, patch)
2019-04-22 16:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22035: Improve local cover image browser page (12.30 KB, patch)
2019-04-25 09:00 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 22035: Improve local cover image browser page (12.32 KB, patch)
2019-04-26 05:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-12-20 19:54:36 UTC
I have a few improvements I'd like to make to the page in the staff client which shows local cover images attached to a bibliographic record:

 - Add the ability to delete an image from this page
 - Add a link to upload
 - Improve breadcrumbs
Comment 1 Owen Leonard 2019-04-22 16:44:17 UTC
Created attachment 88390 [details] [review]
Bug 22035: Improve local cover image browser page

This patch makes changes to the way local cover images are handled on
the image viewer page in the staff client. From this page you can now
delete images or reach the upload images page.

The patch also modifies slightly the process for deleting an image from
the images tab on the bibliographic detail page.

To test, apply the patch and regenerate the staff client CSS.
LocalCoverImages and  AllowMultipleCovers should be enabled.

 - Open the detail view for a record which has multiple cover images
   attached. On the Images tab, click the "Delete image" link for an
   image. After confirming, the link should change to a spinner icon and
   image should fade out.
 - Click one of the cover images to open the image viewer page. The
   thumbnails should each have a delete link which looks like and
   behaves like the delete links on the biblio detail page.
 - Clicking an image thumbnail should load a spinner icon into the area
   where the full-sized image was, which should be replaced by the image
   you chose.
 - There should be a button for uploading images which takes you to the
   correct page for adding images to that record.
 - The page title and breadcrumbs should show the title of the record.
Comment 2 Claire Gravely 2019-04-25 09:00:16 UTC
Created attachment 88717 [details] [review]
Bug 22035: Improve local cover image browser page

This patch makes changes to the way local cover images are handled on
the image viewer page in the staff client. From this page you can now
delete images or reach the upload images page.

The patch also modifies slightly the process for deleting an image from
the images tab on the bibliographic detail page.

To test, apply the patch and regenerate the staff client CSS.
LocalCoverImages and  AllowMultipleCovers should be enabled.

 - Open the detail view for a record which has multiple cover images
   attached. On the Images tab, click the "Delete image" link for an
   image. After confirming, the link should change to a spinner icon and
   image should fade out.
 - Click one of the cover images to open the image viewer page. The
   thumbnails should each have a delete link which looks like and
   behaves like the delete links on the biblio detail page.
 - Clicking an image thumbnail should load a spinner icon into the area
   where the full-sized image was, which should be replaced by the image
   you chose.
 - There should be a button for uploading images which takes you to the
   correct page for adding images to that record.
 - The page title and breadcrumbs should show the title of the record.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2019-04-26 05:54:47 UTC
Created attachment 88843 [details] [review]
Bug 22035: Improve local cover image browser page

This patch makes changes to the way local cover images are handled on
the image viewer page in the staff client. From this page you can now
delete images or reach the upload images page.

The patch also modifies slightly the process for deleting an image from
the images tab on the bibliographic detail page.

To test, apply the patch and regenerate the staff client CSS.
LocalCoverImages and  AllowMultipleCovers should be enabled.

 - Open the detail view for a record which has multiple cover images
   attached. On the Images tab, click the "Delete image" link for an
   image. After confirming, the link should change to a spinner icon and
   image should fade out.
 - Click one of the cover images to open the image viewer page. The
   thumbnails should each have a delete link which looks like and
   behaves like the delete links on the biblio detail page.
 - Clicking an image thumbnail should load a spinner icon into the area
   where the full-sized image was, which should be replaced by the image
   you chose.
 - There should be a button for uploading images which takes you to the
   correct page for adding images to that record.
 - The page title and breadcrumbs should show the title of the record.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 4 Nick Clemens 2019-04-26 12:41:06 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 15:58:04 UTC
Enhancement will not be backported to 18.11.x series.